Debian Bug report logs - #598304
teamspeak-client: CVE-2010-3383: insecure library loading

version graph

Package: teamspeak-client; Maintainer for teamspeak-client is Adam Cécile (Le_Vert) <gandalf@le-vert.net>; Source for teamspeak-client is src:teamspeak-client.

Reported by: Raphael Geissert <geissert@debian.org>

Date: Tue, 28 Sep 2010 04:25:12 UTC

Severity: grave

Tags: patch, security

Found in version teamspeak-client/2.0.32-3

Fixed in version teamspeak-client/2.0.32-3.1

Done: Etienne Millon <etienne.millon@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598304; Package teamspeak-client. (Tue, 28 Sep 2010 04:25:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Tue, 28 Sep 2010 04:25:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: teamspeak-client: CVE-2010-3383: insecure library loading
Date: Tue, 28 Sep 2010 04:22:56 +0000
Package: teamspeak-client
Version: 2.0.32-3
Severity: grave
Tags: security
User: team@security.debian.org
Usertags: ldpath

Hello,

During a review of the Debian archive, I've found your package to
contain a script that can be abused by an attacker to execute arbitrary
code.

The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/bin/teamspeak line 5:
export LD_LIBRARY_PATH=/usr/lib/teamspeak-client:$LD_LIBRARY_PATH

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.

This vulnerability has been assigned the CVE id CVE-2010-3383. Please make sure
you mention it when forwarding this report to upstream and when fixing
this bug (everywhere: upstream and here at Debian.)

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3383
[1] http://security-tracker.debian.org/tracker/CVE-2010-3383

Sincerely,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598304; Package teamspeak-client. (Mon, 11 Oct 2010 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 11 Oct 2010 09:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 598304@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 598304@bugs.debian.org
Subject: Patch for CVE-2010-3383
Date: Mon, 11 Oct 2010 11:27:49 +0200
[Message part 1 (text/plain, inline)]
Dear maintainer,

Here is a NMU patch fixing this issue.

Regards,

-- 
Etienne Millon
[teamspeak-client-CVE-2010-3383.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Mon, 11 Oct 2010 09:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598304; Package teamspeak-client. (Fri, 15 Oct 2010 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Fri, 15 Oct 2010 23:15:03 GMT) Full text and rfc822 format available.

Message #17 received at 598304@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 598304@bugs.debian.org
Subject: Bug#598304: Intent to NMU (teamspeak-client: CVE-2010-3383: insecure library loading)
Date: Sat, 16 Oct 2010 02:13:55 +0300
I have some free time and I am offering help to fix this bug (grave,
security). Please let me know if this bug is already been worked on or
if it's okay to proceed with NMU.

Jari




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#598304; Package teamspeak-client. (Mon, 18 Oct 2010 16:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Mon, 18 Oct 2010 16:24:10 GMT) Full text and rfc822 format available.

Message #22 received at 598304@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 598304@bugs.debian.org
Subject: Pending upload on mentors.d.n
Date: Mon, 18 Oct 2010 18:22:15 +0200
[Message part 1 (text/plain, inline)]
tags 598304 + pending
thanks

Hello,

I have uploaded a package on mentors.d.n, which fixes this bug.

http://mentors.debian.net/debian/pool/non-free/t/teamspeak-client/teamspeak-client_2.0.32-3.1.dsc

Jari : thanks for your help, this one is fine, I just have to find a
sponsor :-)

-- 
Etienne Millon
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Mon, 18 Oct 2010 16:24:15 GMT) Full text and rfc822 format available.

Reply sent to Etienne Millon <etienne.millon@gmail.com>:
You have taken responsibility. (Sat, 31 Dec 2011 08:51:11 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Sat, 31 Dec 2011 08:51:12 GMT) Full text and rfc822 format available.

Message #29 received at 598304-close@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 598304-close@bugs.debian.org
Subject: Bug#598304: fixed in teamspeak-client 2.0.32-3.1
Date: Sat, 31 Dec 2011 08:48:50 +0000
Source: teamspeak-client
Source-Version: 2.0.32-3.1

We believe that the bug you reported is fixed in the latest version of
teamspeak-client, which is due to be installed in the Debian FTP archive:

teamspeak-client_2.0.32-3.1.diff.gz
  to non-free/t/teamspeak-client/teamspeak-client_2.0.32-3.1.diff.gz
teamspeak-client_2.0.32-3.1.dsc
  to non-free/t/teamspeak-client/teamspeak-client_2.0.32-3.1.dsc
teamspeak-client_2.0.32-3.1_i386.deb
  to non-free/t/teamspeak-client/teamspeak-client_2.0.32-3.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598304@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Etienne Millon <etienne.millon@gmail.com> (supplier of updated teamspeak-client package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 11 Oct 2010 11:13:28 +0200
Source: teamspeak-client
Binary: teamspeak-client
Architecture: source i386
Version: 2.0.32-3.1
Distribution: unstable
Urgency: low
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Changed-By: Etienne Millon <etienne.millon@gmail.com>
Description: 
 teamspeak-client - VoIP chat for online gaming
Closes: 598304
Changes: 
 teamspeak-client (2.0.32-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix security issue CVE-2010-3383 (Closes: #598304)
Checksums-Sha1: 
 6df629a9eeeaa25f413e08d52fa254a1cea4418b 1249 teamspeak-client_2.0.32-3.1.dsc
 ce353a160c73a51d8beef9bd048ecaf9b90fa29b 11746 teamspeak-client_2.0.32-3.1.diff.gz
 6a4427ccb6de89d4a79f7090533a46d2ae60df75 7378688 teamspeak-client_2.0.32-3.1_i386.deb
Checksums-Sha256: 
 60e40a87a46e11f01eda701a23d675e48f840af2c8df10ed197f6bebe64c62f0 1249 teamspeak-client_2.0.32-3.1.dsc
 1e6b615004847a1c5f8cf66be50298e473600dc50531cafd88dc0cb90aeb9347 11746 teamspeak-client_2.0.32-3.1.diff.gz
 9f8d3c5dc0d6b558b3d185e2fe69d1140d2e3b964950f01deef6858f1185ba9a 7378688 teamspeak-client_2.0.32-3.1_i386.deb
Files: 
 9196001fb8f3d0d2fc4c9a3b2efe65c5 1249 non-free/net optional teamspeak-client_2.0.32-3.1.dsc
 ac16970dfe4fb05d2975b69423d3fca9 11746 non-free/net optional teamspeak-client_2.0.32-3.1.diff.gz
 dc84081874f1675ab0bcc5dbf5c65ff8 7378688 non-free/net optional teamspeak-client_2.0.32-3.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7+yk8ACgkQ5UTeB5t8Mo2JsgCeNJvndoQ5wI7LQszQSqLcbK6m
mKgAoMaBbv2MpJ+ng9StN6Z8iLLKKFUC
=7H+l
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Feb 2012 07:32:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:05:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.